Bug 1278227 - [GSS](6.2.z) SSH timeout value hard-coded for git server
[GSS](6.2.z) SSH timeout value hard-coded for git server
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Configuration (Show other bugs)
6.1.0
Unspecified Unspecified
medium Severity high
: CR1
: 6.2.1
Assigned To: Alexandre Porcelli
Marek Winkler
:
: 1285845 (view as bug list)
Depends On:
Blocks: 1283837 1288021 1288023 1295554 1285845
  Show dependency treegraph
 
Reported: 2015-11-04 20:13 EST by Abhijit humbe
Modified: 2016-01-27 04:44 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1283837 1295554 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Abhijit humbe 2015-11-04 20:13:57 EST
Description of problem:
We are receiving the following error when a user is attempting to authenticate to Git over SSH and the amount of time exceeds the timeout value.

~~~
User session has timed out idling after 10000 ms
~~~

Version-Release number of selected component (if applicable):
uberfire 0.5.3.Final

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
We cant change increase the SSH session timeout

Expected results:
We should be able to change the SSH session timeout value through options.

Additional info:
Timeout value is hard-coded in GitSSHService.java
Comment 4 Alessandro Lazarotti 2016-01-04 15:13:33 EST
porcelli just backported it:
https://github.com/uberfire/uberfire/commit/ad73d43f10123adcb6c6c8f3d4e5fd387e5e818b
Comment 5 Alessandro Lazarotti 2016-01-04 15:15:41 EST
(in fact it was already there)
Comment 6 Alessandro Lazarotti 2016-01-13 09:24:08 EST
*** Bug 1285845 has been marked as a duplicate of this bug. ***
Comment 7 Marek Winkler 2016-01-22 04:09:54 EST
Verified in BRMS and BPMS 6.2.1 CR1.

By setting 'org.uberfire.nio.git.ssh.idle.timeout' to '20000' the connection timed out after 20 seconds.

Note You need to log in before you can comment on or make changes to this bug.